# h5flush

Flush all the buffers associated with a file

## Calling Sequence

                h5flush(obj [, local])

## Arguments

obj

  a H5Object

local

  a boolean

## Description

Flush all the buffers associated with a file. If local is %T, only the file is flushed, otherwise the entire virtual file is flushed.

## Examples

    // We create a HDF5 file
    a = h5open(TMPDIR  +"/test.h5", "w");

    // Write a dataset
    h5write(a, "MyDset", 1:100);

    // We flush the file
    h5flush(a);

    // We have finished so we free all the resources
    h5close(a);

## See Also

- h5open
- h5close

## History

5.5.0
HDF5 module introduced.